# environmentVariablesPrefixedBy

abstract fun environmentVariablesPrefixedBy(variableNamePrefix: String): Provider<Map<String, String>>
abstract fun environmentVariablesPrefixedBy(variableNamePrefix: Provider<String>): Provider<Map<String, String>>

Creates a Provider whose value is a name-to-value map of the environment variables with the names starting with the given prefix. The prefix comparison is case-sensitive. The returned map is immutable.

#### Return

The provider. Never returns null.

#### Since

7.5

#### Parameters

variableNamePrefix

The prefix of the environment variable names